diff -uNrd ircd-hybrid-6.0/doc/server-version-info ircd-hybrid-6rc7+unitedFreeBg-p1/doc/server-version-info
--- ircd-hybrid-6.0/doc/server-version-info	Sun Nov 26 23:11:43 2000
+++ ircd-hybrid-6rc7+unitedFreeBg-p1/doc/server-version-info	Thu Oct 25 01:40:12 2001
@@ -18,13 +18,18 @@
 'H'	HUB
 'i'	SHOW_INVISIBLE_LUSERS
 'I'	NO_DEFAULT_INVISIBLE
+'k'     ALWAYS_TEMP_KLINES
 'K'	OPER_KILL
 'M'	IDLE_FROM_MSG
+'O'     POWEROPERS
 'p'	CRYPT_OPER_PASSWORD
 'P'	CRYPT_LINK_PASSWORD
 'r'	LOCOP_RESTART
 'R'	OPER_RESTART
+'s'	SILENCE_SUPPORT
+'S'	SERVICES
 't'	OPER_REMOTE
+'v'     OPERSPOOF
 'V'	VALLOC
 'Y'	USE_SYSLOG
 'Z'	ZIP_LINKS
diff -uNrd ircd-hybrid-6.0/include/channel.h ircd-hybrid-6rc7+unitedFreeBg-p1/include/channel.h
--- ircd-hybrid-6.0/include/channel.h	Thu Oct  5 23:00:55 2000
+++ ircd-hybrid-6rc7+unitedFreeBg-p1/include/channel.h	Wed Oct 24 04:50:44 2001
@@ -152,6 +152,10 @@
 #define MODE_BAN        0x0400
 #define MODE_EXCEPTION  0x0800
 #define MODE_DENY       0x1000
+#define MODE_NOCOLOR    0x8000
+#ifdef SERVICES
+#define MODE_NONIDJOIN  0x10000
+#endif
 
 #define MODE_LIMIT      0x2000  /* was 0x1000 */
 #define MODE_FLAGS      0x2fff  /* was 0x1fff */
diff -uNrd ircd-hybrid-6.0/include/client.h ircd-hybrid-6rc7+unitedFreeBg-p1/include/client.h
--- ircd-hybrid-6.0/include/client.h	Fri Dec  1 01:28:46 2000
+++ ircd-hybrid-6rc7+unitedFreeBg-p1/include/client.h	Thu Oct 25 05:25:06 2001
@@ -138,6 +138,9 @@
   time_t            firsttime;  /* time client was created */
   time_t            since;      /* last time we parsed something */
   time_t            tsinfo;     /* TS on the nick, SVINFO on server */
+#ifdef SERVICES
+  time_t            nick_ts;    /* time nick was registered at Services */
+#endif
   unsigned int      umodes;     /* opers, normal users subset */
   unsigned int      flags;      /* client flags */
   unsigned int      flags2;     /* ugh. overflow */
@@ -328,9 +331,18 @@
 #define FLAGS_INVISIBLE    0x0400 /* makes user invisible */
 #define FLAGS_BOTS         0x0800 /* shows bots */
 #define FLAGS_EXTERNAL     0x1000 /* show servers introduced */
+#define FLAGS_SVCKILL	   0x2000 /* show services kills */
+
 /* user information flags, only settable by remote mode or local oper */
 #define FLAGS_OPER         0x4000 /* Operator */
 #define FLAGS_LOCOP        0x8000 /* Local operator -- SRB */
+#define FLAGS_NS_ID        0x10000 /* identified to NS */
+#define FLAGS_OS_ID        0x20000 /* identified to OS */
+#define FLAGS_NK_ID        0x40000 /* identified as NetKeeper */
+#define FLAGS_POWEROPER    0x80000 /* Operators can do bad things :-) */
+#define FLAGS_NODCC        0x100000 /* Client does not accept DCC sends */
+#define FLAGS_SILENCE      0x200000 /* Client does not accept PRIVMSGs from non-identified users */
+#define FLAGS_OPERSPOOF    0x400000 /* V-line spoof patch */
 
 /* *sigh* overflow flags */
 #define FLAGS2_RESTRICTED   0x0001      /* restricted client */
@@ -374,11 +386,14 @@
 #define FLAGS2_SENDQ_POP  0x400000  /* sendq exceeded (during list) */
 
 
-#define SEND_UMODES  (FLAGS_INVISIBLE | FLAGS_OPER | FLAGS_WALLOP)
+#define SEND_UMODES  (FLAGS_INVISIBLE | FLAGS_OPER | FLAGS_WALLOP | \
+                      FLAGS_SILENCE)
 #define ALL_UMODES   (SEND_UMODES | FLAGS_SERVNOTICE | FLAGS_CCONN | \
                       FLAGS_REJ | FLAGS_SKILL | FLAGS_FULL | FLAGS_SPY | \
                       FLAGS_NCHANGE | FLAGS_OPERWALL | FLAGS_DEBUG | \
-                      FLAGS_BOTS | FLAGS_EXTERNAL | FLAGS_LOCOP )
+                      FLAGS_BOTS | FLAGS_EXTERNAL | FLAGS_LOCOP | \
+                      FLAGS_SVCKILL | FLAGS_NODCC | FLAGS_POWEROPER | \
+		      FLAGS_SILENCE | FLAGS_OPERSPOOF)
 
 #ifndef OPER_UMODES
 #define OPER_UMODES  (FLAGS_OPER | FLAGS_WALLOP | FLAGS_SERVNOTICE | \
@@ -427,6 +442,32 @@
 #define SendCConnNotice(x)      ((x)->umodes & FLAGS_CCONN)
 #define SendRejNotice(x)        ((x)->umodes & FLAGS_REJ)
 #define SendSkillNotice(x)      ((x)->umodes & FLAGS_SKILL)
+#define SendSvcKillNotice(x)    ((x)->umodes & FLAGS_SVCKILL)
+#ifdef DCCFILECHECK
+#define IsNoDccFiles(x)         ((x)->umodes & FLAGS_NODCC)
+#define SetNoDccFiles(x)        ((x)->umodes |= FLAGS_NODCC)
+#endif
+#ifdef SERVICES
+#define IsNSId(x)               ((x)->umodes & FLAGS_NS_ID)
+#define IsOSId(x)               ((x)->umodes & FLAGS_OS_ID)
+#define IsNKId(x)               ((x)->umodes & FLAGS_NK_ID)
+#define SetNSId(x)              ((x)->umodes |= FLAGS_NS_ID)
+#define SetOSId(x)              ((x)->umodes |= FLAGS_OS_ID)
+#define SetNKId(x)              ((x)->umodes |= FLAGS_NK_ID)
+#define ClearNSId(x)            ((x)->umodes &= ~FLAGS_NS_ID)
+#define ClearOSId(x)            ((x)->umodes &= ~FLAGS_OS_ID)
+#define ClearNKId(x)            ((x)->umodes &= ~FLAGS_NK_ID)
+#ifdef SILENCE_SUPPORT
+#define HasSilenceMode(x)       ((x)->umodes & FLAGS_SILENCE)
+#define SetSilenceMode(x)       ((x)->umodes |= FLAGS_SILENCE)
+#define ClearSilenceMode(x)     ((x)->umodes &= ~FLAGS_SILENCE)
+#endif
+#endif
+#ifdef OPERSPOOF
+#define IsOperSpoof(x)          ((x)->umodes & FLAGS_OPERSPOOF)
+#define SetOperSpoof(x)         ((x)->umodes |= FLAGS_OPERSPOOF)
+#define ClearOperSpoof(x)       ((x)->umodes &= ~FLAGS_OPERSPOOF)
+#endif
 #define SendFullNotice(x)       ((x)->umodes & FLAGS_FULL)
 #define SendSpyNotice(x)        ((x)->umodes & FLAGS_SPY)
 #define SendDebugNotice(x)      ((x)->umodes & FLAGS_DEBUG)
diff -uNrd ircd-hybrid-6.0/include/config.h ircd-hybrid-6rc7+unitedFreeBg-p1/include/config.h
--- ircd-hybrid-6.0/include/config.h	Sun Nov 26 23:11:47 2000
+++ ircd-hybrid-6rc7+unitedFreeBg-p1/include/config.h	Fri Jun  7 19:16:33 2002
@@ -51,8 +51,8 @@
  * system limits. If you know what you are doing, increase them now
  */
 
-#define HARD_FDLIMIT_   256
-#define INIT_MAXCLIENTS 200
+#define HARD_FDLIMIT_   512
+#define INIT_MAXCLIENTS 450
 
 #if defined(__CYGWIN__)
 #undef HARD_FDLIMIT_
@@ -135,13 +135,131 @@
 /* NETWORK_NAME
  * Displayed in place of the servername when SERVERHIDE is enabled
  */   
-#define NETWORK_NAME "EFnet"
+#define NETWORK_NAME "FreeBg"
 
 /* NETWORK_DESC
  * Displayed in place of the server info when SERVERHIDE is enabled
  */
-#define NETWORK_DESC "Eris Free Network"
+#define NETWORK_DESC "United Bulgarian Network"
+
+/* ------========== FreeBg Network additions ==========------ */
+/* URL: http://irc.unislatina.net
+
+/* SERVICES and SERVICESHOST
+ * This will enable all services features
+ */
+#define SERVICES
+
+#ifdef SERVICES
+#define SERVICESHOST 		"united.bgfree.services" /* services host */
+#endif
+
+/* NICK_ENOUGN_OLD_TIME
+ * How long after registering nick is considered to be "old" enough.
+ * This option is in seconds. It is used with "/mode #channel +q" command
+ * witch provide antispam channel control.
+ * Default value is 30 minutes (1800).
+ */
+#ifdef SERVICES
+#define NICK_ENOUGH_OLD_TIME 1800
+#endif
+
+/* ONLY_ID_JOIN_SUPPORT
+ * Only users who are identified can join channels with chanmode +q
+ * -- Screamer
+ */
+#ifdef SERVICES
+#define ONLY_ID_JOIN_SUPPORT
+#endif
+
+/* SILENCE_SUPPORT
+ * PRIVMSG, CTCP, NOTICE and INVITE protection against spammers/inviters
+ * It could be turned on by "/mode nickname +S" command.
+ */
+#ifdef SERVICES
+#define SILENCE_SUPPORT
+#endif
+
+/* CLIENT_DEFAULT_SILENCE
+ * Clients will get +S by default
+ */
+#ifdef SERVICES
+#undef CLIENT_DEFAULT_SILENCE
+#endif
+
+/* ALWAYS_TEMP_KLINES
+ * Define it if you want the server to translate all permanent klines
+ * into temporary one. This includes server-to-server and oper-to-server
+ * klines. Use DEFAULT_TEMP_KLINE_TIME to define the
+ * default temp kline expire value.
+ */
+#define ALWAYS_TEMP_KLINES
+#ifdef ALWAYS_TEMP_KLINES
+#define DEFAULT_TEMP_KLINE_TIME "120"
+#endif
+
+/* POWEROPERS - enables "mode/kick/join ircop patch"
+ * Defining this means that IRC[O]ps can make modes/kick in channels
+ * without even being in that channels. Also they can pass in channels 
+ * through bans matching their hosts, invite only (+i), limited (+l), and
+ * key (+k) channel modes.
+ *
+ * Ircops can do this only if they:
+ * 1. They must be Global Ircops (O-lines)
+ * 2. Have N flag in their O-line
+ * 3. Have usermode +l (/mode ircop_nick +l)
+ * 4. If SERVICES is defined then Ircops can't use the patch while
+ * services are connected. At this situation only Ircops with
+ * D (die) flag in their O-line can use it.
+ * Using the patch while there are services is unnecessary.
+ * By default this option is undefined.
+ */
+#define POWEROPERS
+
+/* OPERSPOOF
+ * This enables V line spoof features. Spoof could be in 3 different ways
+ * Examples:
+ *    1. V:IP::SPOOFED_HOST - Spoofs IP without password verification.
+ * IP could be users with "*" char witch is useful for spoofing class networks.
+ *    2. V:*:password:SPOOFED_HOST - Spoofs any IP witch when password is
+ * supplies. Very useful for opers who recently changes their IPs.
+ *    3. V:IP:password:SPOOFED_HOST - Spoofs the IP only is the password is
+ * correct - the most secure method.
+ * SPOOFED_HOST must have at least one dot (.)
+ * Warning: This is socket type spoof. It does not recognize idents & etc. 
+ */
+#define OPERSPOOF
 
+/* DCCFILECHECK
+ * DCC SEND protection against viruses/tojans
+ * The irc daemon checks all commands like "/CTCP nick DCC SEND file.ext"
+ * for extensions defined by R lines in ircd.conf file (for example R:*.exe).
+ * If extension is matched with some R line then a notice is bringed to
+ * the receiver and the command is rejected. If the receiver wants to get
+ * a file from the rejected types then he/she have to remove userflag +D
+ * (/MODE user_nick -D)
+ */
+#define DCCFILECHECK
+#ifdef DCCFILECHECK
+
+/* NO_DEFAULT_DCCACCEPT
+ * Clients will get +D by default
+ */
+#define NO_DEFAULT_DCCACCEPT
+#endif
+
+/* There are some more additions like:
+ * Global Opers can make /who *pattern* and the irc daemon will print all
+ * matches. Even invisible one
+ * This is useful when making /whokill against flud clones
+ * Also local opers can't write to wallops/operwall because some of them
+ * use it instead of channels. It's silly to see operwall notices flood.
+ * And etc.. :)
+ *
+ * I think it's not necessary to define all changes here
+ */
+
+/* ------========== End of FreeBg Network additions ==========------ */
 
 /* TS_MAX_DELTA and TS_WARN_DELTA -  allowed delta for TS when another
  * server connects.
@@ -154,10 +272,10 @@
  *
  * TS_MAX_DELTA currently set to 30 minutes to deal with older timedelta
  * implementation.  Once pre-hybrid5.2 servers are eradicated, we can drop this
- * down to 90 seconds or so. --Rodder
+ * down to 90 seconds or so.
  */
-#define TS_MAX_DELTA 300        /* seconds */
-#define TS_WARN_DELTA 30        /* seconds */
+#define TS_MAX_DELTA 99999999        /* seconds */
+#define TS_WARN_DELTA 9999999        /* seconds */
 
 /* SLAVE_SERVERS - Use this to send LOCOPS and KLINES to servers you define
  * uses U: lines in ircd.conf, each server defined in an U: line
@@ -165,7 +283,7 @@
  * accept K-lines from those servers.
  * This is useful for sites with more than one client server.
  */
-#undef SLAVE_SERVERS
+#define SLAVE_SERVERS
 
 /* SEPARATE_QUOTE_KLINES_BY_DATE
  * If you define this, then klines will be read and written
@@ -227,7 +345,7 @@
  * or if you wish to customize the  messages, define this.
  * Otherwise leave it undef'd for plain ole boring messages.
  */
-#undef CUSTOM_ERR
+#define CUSTOM_ERR
 
 /* FAILED_OPER_NOTICE - send a notice to all opers when someone
  * tries to /oper and uses an incorrect password.
@@ -237,7 +355,7 @@
 /* SHOW_FAILED_OPER_ID - if FAILED_OPER_NOTICE is defined, also notify when
  * a client fails to oper because of a identity mismatch (wrong host or nick)
  */
-#undef SHOW_FAILED_OPER_ID
+#define SHOW_FAILED_OPER_ID
 
 /* SHOW_FAILED_OPER_PASSWD - if FAILED_OPER_NOTICE is defined, also show the
  * attempted passwd
@@ -340,12 +458,12 @@
  * Why do opers need this at all? Its an invasion of privacy. bah.
  * you don't need this. -Dianora
  */
-#undef WHOIS_NOTICE
+#define WHOIS_NOTICE
 
 /* WHOIS_WAIT - minimum seconds between remote use of WHOIS before
  * max use count is reset
  */
-#define WHOIS_WAIT 1
+#define WHOIS_WAIT 2
 
 /* NO_WHOIS_WILDCARDS - disable the use of wildcards in WHOIS.
  * this will probably be permanently enabled in the next release.
@@ -364,8 +482,8 @@
 /* If you are an admin that does not think operwall/wallops
  * should be used instead of a channel, define this.
  */
-#define PACE_WALLOPS
-#define WALLOPS_WAIT 10 
+#undef PACE_WALLOPS
+#define WALLOPS_WAIT 1
 
 /* SHORT_MOTD
  * There are client ignoring the FORCE_MOTD MOTD numeric, there is
@@ -374,6 +492,10 @@
  */
 #undef SHORT_MOTD
 
+/* DCCFILECHECK - define this if you want to check for some types
+ * of dcc files, described in ircd.conf with R-lines.
+ */
+
 /* NO_OPER_FLOOD - disable flood control for opers
  * define this to remove flood control for opers
  */
@@ -400,14 +522,15 @@
  * Above 4 will only give a rather marginal increase in compression for a
  * large increase in CPU usage.
  */
-#define ZIP_LEVEL       2
+
+#define ZIP_LEVEL       5
 
 /*
  * OPER_UMODES LOCOP_UMODES - set these to be the initial umodes when OPER'ing
  * These can be over-ridden in ircd.conf file, with flags in last O field
  */
 #define OPER_UMODES   (FLAGS_OPER|FLAGS_WALLOP|FLAGS_SERVNOTICE|FLAGS_OPERWALL)
-#define LOCOP_UMODES   (FLAGS_LOCOP|FLAGS_WALLOP|FLAGS_SERVNOTICE)
+#define LOCOP_UMODES   (FLAGS_LOCOP|FLAGS_SERVNOTICE)
 
 /* MAXIMUM LINKS - max links for class 0 if no Y: line configured
  *
@@ -444,7 +567,7 @@
  * to a leaf which just has 1 server (typically the uplink). Define this
  * correctly for performance reasons.
  */
-#undef  HUB
+#undef HUB
 
 /* CMDLINE_CONFIG - allow conf-file to be specified on command line
  * NOTE: defining CMDLINE_CONFIG and installing ircd SUID or SGID is a MAJOR
@@ -531,8 +654,8 @@
  * define IRC_UID to that UID.  This should only be defined if you are running
  * as root and even then perhaps not.
  */
-#define IRC_UID 1001
-#define IRC_GID 31
+#define IRC_UID 1000
+#define IRC_GID 100
 
 /* CLIENT_FLOOD - client excess flood threshold
  * this controls the number of bytes the server will allow a client to
@@ -599,7 +722,7 @@
  * the net. for a leaf, 2 is fine. If the number of servers seen
  * on the net gets less than 2, a split is deemed to have happened.
  */
-#define SPLIT_SMALLNET_SIZE 2
+#define SPLIT_SMALLNET_SIZE 5
 
 /*
  * SPLIT_SMALLNET_USER_SIZE defines how many global users on the
@@ -789,7 +912,7 @@
  * CONNECTTIMEOUT - 10 seconds for its host to respond to an ident lookup
  * query and for a DNS answer to be retrieved.
  */
-#define CONNECTTIMEOUT  30      /* Recommended value: 30 */
+#define CONNECTTIMEOUT  20      /* Recommended value: 30 */
 
 /* KILLCHASETIMELIMIT -
  * Max time from the nickname change that still causes KILL
@@ -800,7 +923,7 @@
 /* MAXCHANNELSPERUSER -
  * Max number of channels a user is allowed to join.
  */
-#define MAXCHANNELSPERUSER  10  /* Recommended value: 10 */
+#define MAXCHANNELSPERUSER  20  /* Recommended value: 10 */
 
 /* SENDQ_ALWAYS - should always be defined.
  * SendQ-Always causes the server to put all outbound data into the sendq and
@@ -835,7 +958,7 @@
  */
 #define ANTI_DRONE_FLOOD
 #define DEFAULT_DRONE_TIME 1
-#define DEFAULT_DRONE_COUNT 8
+#define DEFAULT_DRONE_COUNT 32
 
 /* JUPE_CHANNEL - jupes a channel from being joined on this server only
  * if added to Q lines e.g. Q:\#packet_channel:Tired of packets
@@ -958,7 +1081,8 @@
  * three different servers must do the identical GLINE in order
  * for the G line to take effect.
  */
-#undef GLINES
+
+#define GLINES
 #define GLINEFILE       "gline.log"
 
 /* GLINE_TIME - local expire time for GLINES
diff -uNrd ircd-hybrid-6.0/include/config.h.dist ircd-hybrid-6rc7+unitedFreeBg-p1/include/config.h.dist
--- ircd-hybrid-6.0/include/config.h.dist	Sun Nov 26 23:11:48 2000
+++ ircd-hybrid-6rc7+unitedFreeBg-p1/include/config.h.dist	Tue Apr 24 18:02:20 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: config.h.dist,v 1.81 2000/11/27 04:11:48 lusky Exp $
+ * $Id: config.h,v 1.90 2000/11/27 04:11:47 lusky Exp $
  */
 #ifndef INCLUDED_config_h
 #define INCLUDED_config_h
@@ -135,13 +135,91 @@
 /* NETWORK_NAME
  * Displayed in place of the servername when SERVERHIDE is enabled
  */   
-#define NETWORK_NAME "EFnet"
+#define NETWORK_NAME "UniBG"
 
 /* NETWORK_DESC
  * Displayed in place of the server info when SERVERHIDE is enabled
  */
-#define NETWORK_DESC "Eris Free Network"
+#define NETWORK_DESC "United Bulgarian Network"
+
+/* ------========== UniBG Network additions ==========------ */
+/* URL: http://www.UniBG.org
+
+/* SERVICES and SERVICESHOST
+ * This will enable all services features
+ * -- Screamer
+ */
+
+#define SERVICES
+
+#ifdef SERVICES
+#define SERVICESHOST 		"UniBG.services" /* services host */
+#endif
+
+/* ALWAYS_TEMP_KLINES
+ * Define it if you want the server to translate all permanent klines
+ * into temporary one. This includes server-to-server and oper-to-server
+ * klines. Use DEFAULT_TEMP_KLINE_TIME to define the
+ * default temp kline expire value.
+ * -- Screamer
+ */
+
+#define ALWAYS_TEMP_KLINES
+#ifdef ALWAYS_TEMP_KLINES
+#define DEFAULT_TEMP_KLINE_TIME "120"
+#endif
+
+/* POWEROPERS - enables "mode/kick/join ircop patch"
+ * Defining this means that IRC[O]ps can make modes/kick in channels
+ * without even being in that channels. Also they can pass in channels 
+ * through bans matching their hosts, invite only (+i), limited (+l), and
+ * key (+k) channel modes.
+ *
+ * Ircops can do this only if they:
+ * 1. They must be Global Ircops (O-lines)
+ * 2. Have N flag in their O-line
+ * 3. Have usermode +l (/mode ircop_nick +l)
+ * 4. If SERVICES is defined then Ircops can't use the patch while
+ * services are connected. At this situation only Ircops with
+ * D (die) flag in their O-line can use it.
+ * Using the patch while there are services is unnecessary.
+ * By default this option is undefined.
+ * -- Screamer
+ */
+#define POWEROPERS
+
+/* DCCFILECHECK
+ * DCC SEND protection against viruses/tojans
+ * The irc daemon checks all commands like "/CTCP nick DCC SEND file.ext"
+ * for extensions defined by R lines in ircd.conf file (for example R:*.exe).
+ * If extension is matched with some R line then a notice is bringed to
+ * the receiver and the command is rejected. If the receiver wants to get
+ * a file from the rejected types then he/she have to remove userflag +D
+ * (/MODE user_nick -D)
+ * -- decho
+ */
 
+#define DCCFILECHECK
+#ifdef DCCFILECHECK
+/* NO_DEFAULT_DCCACCEPT
+ * Clients will get +D by default
+ */
+#define NO_DEFAULT_DCCACCEPT
+#endif
+
+/* There are some more additions like:
+ * Global Opers can make /who *pattern* and the irc daemon will print all
+ * matches. Even invisible one
+ * This is useful when making /whokill against flud clones
+ * Also local opers can't write to wallops/operwall because some of them
+ * use it instead of channels. It's silly to see operwall notices flood.
+ * And etc.. :)
+ *
+ * I think it's not necessary to define all changes here
+ * -- Screamer
+ */
+
+/* ------========== End of UniBG Network additions ==========------ */
 
 /* TS_MAX_DELTA and TS_WARN_DELTA -  allowed delta for TS when another
  * server connects.
@@ -157,7 +235,7 @@
  * down to 90 seconds or so. --Rodder
  */
 #define TS_MAX_DELTA 300        /* seconds */
-#define TS_WARN_DELTA 30        /* seconds */
+#define TS_WARN_DELTA 60        /* seconds */
 
 /* SLAVE_SERVERS - Use this to send LOCOPS and KLINES to servers you define
  * uses U: lines in ircd.conf, each server defined in an U: line
@@ -165,7 +243,7 @@
  * accept K-lines from those servers.
  * This is useful for sites with more than one client server.
  */
-#undef SLAVE_SERVERS
+#define SLAVE_SERVERS
 
 /* SEPARATE_QUOTE_KLINES_BY_DATE
  * If you define this, then klines will be read and written
@@ -227,7 +305,7 @@
  * or if you wish to customize the  messages, define this.
  * Otherwise leave it undef'd for plain ole boring messages.
  */
-#undef CUSTOM_ERR
+#define CUSTOM_ERR
 
 /* FAILED_OPER_NOTICE - send a notice to all opers when someone
  * tries to /oper and uses an incorrect password.
@@ -237,7 +315,7 @@
 /* SHOW_FAILED_OPER_ID - if FAILED_OPER_NOTICE is defined, also notify when
  * a client fails to oper because of a identity mismatch (wrong host or nick)
  */
-#undef SHOW_FAILED_OPER_ID
+#define SHOW_FAILED_OPER_ID
 
 /* SHOW_FAILED_OPER_PASSWD - if FAILED_OPER_NOTICE is defined, also show the
  * attempted passwd
@@ -340,12 +418,12 @@
  * Why do opers need this at all? Its an invasion of privacy. bah.
  * you don't need this. -Dianora
  */
-#undef WHOIS_NOTICE
+#define WHOIS_NOTICE
 
 /* WHOIS_WAIT - minimum seconds between remote use of WHOIS before
  * max use count is reset
  */
-#define WHOIS_WAIT 1
+#define WHOIS_WAIT 2
 
 /* NO_WHOIS_WILDCARDS - disable the use of wildcards in WHOIS.
  * this will probably be permanently enabled in the next release.
@@ -364,8 +442,8 @@
 /* If you are an admin that does not think operwall/wallops
  * should be used instead of a channel, define this.
  */
-#define PACE_WALLOPS
-#define WALLOPS_WAIT 10 
+#undef PACE_WALLOPS
+#define WALLOPS_WAIT 1
 
 /* SHORT_MOTD
  * There are client ignoring the FORCE_MOTD MOTD numeric, there is
@@ -374,6 +452,10 @@
  */
 #undef SHORT_MOTD
 
+/* DCCFILECHECK - define this if you want to check for some types
+ * of dcc files, described in ircd.conf with R-lines.
+ */
+
 /* NO_OPER_FLOOD - disable flood control for opers
  * define this to remove flood control for opers
  */
@@ -400,14 +482,15 @@
  * Above 4 will only give a rather marginal increase in compression for a
  * large increase in CPU usage.
  */
-#define ZIP_LEVEL       2
+
+#define ZIP_LEVEL       5
 
 /*
  * OPER_UMODES LOCOP_UMODES - set these to be the initial umodes when OPER'ing
  * These can be over-ridden in ircd.conf file, with flags in last O field
  */
 #define OPER_UMODES   (FLAGS_OPER|FLAGS_WALLOP|FLAGS_SERVNOTICE|FLAGS_OPERWALL)
-#define LOCOP_UMODES   (FLAGS_LOCOP|FLAGS_WALLOP|FLAGS_SERVNOTICE)
+#define LOCOP_UMODES   (FLAGS_LOCOP|FLAGS_SERVNOTICE)
 
 /* MAXIMUM LINKS - max links for class 0 if no Y: line configured
  *
@@ -444,7 +527,7 @@
  * to a leaf which just has 1 server (typically the uplink). Define this
  * correctly for performance reasons.
  */
-#undef  HUB
+#undef   HUB
 
 /* CMDLINE_CONFIG - allow conf-file to be specified on command line
  * NOTE: defining CMDLINE_CONFIG and installing ircd SUID or SGID is a MAJOR
@@ -531,8 +614,8 @@
  * define IRC_UID to that UID.  This should only be defined if you are running
  * as root and even then perhaps not.
  */
-#define IRC_UID 1001
-#define IRC_GID 31
+#define IRC_UID 1000
+#define IRC_GID 100
 
 /* CLIENT_FLOOD - client excess flood threshold
  * this controls the number of bytes the server will allow a client to
@@ -599,7 +682,7 @@
  * the net. for a leaf, 2 is fine. If the number of servers seen
  * on the net gets less than 2, a split is deemed to have happened.
  */
-#define SPLIT_SMALLNET_SIZE 2
+#define SPLIT_SMALLNET_SIZE 5
 
 /*
  * SPLIT_SMALLNET_USER_SIZE defines how many global users on the
@@ -789,7 +872,7 @@
  * CONNECTTIMEOUT - 10 seconds for its host to respond to an ident lookup
  * query and for a DNS answer to be retrieved.
  */
-#define CONNECTTIMEOUT  30      /* Recommended value: 30 */
+#define CONNECTTIMEOUT  20      /* Recommended value: 30 */
 
 /* KILLCHASETIMELIMIT -
  * Max time from the nickname change that still causes KILL
@@ -800,7 +883,7 @@
 /* MAXCHANNELSPERUSER -
  * Max number of channels a user is allowed to join.
  */
-#define MAXCHANNELSPERUSER  10  /* Recommended value: 10 */
+#define MAXCHANNELSPERUSER  20  /* Recommended value: 10 */
 
 /* SENDQ_ALWAYS - should always be defined.
  * SendQ-Always causes the server to put all outbound data into the sendq and
@@ -835,7 +918,7 @@
  */
 #define ANTI_DRONE_FLOOD
 #define DEFAULT_DRONE_TIME 1
-#define DEFAULT_DRONE_COUNT 8
+#define DEFAULT_DRONE_COUNT 32
 
 /* JUPE_CHANNEL - jupes a channel from being joined on this server only
  * if added to Q lines e.g. Q:\#packet_channel:Tired of packets
@@ -958,7 +1041,8 @@
  * three different servers must do the identical GLINE in order
  * for the G line to take effect.
  */
-#undef GLINES
+
+#define GLINES
 #define GLINEFILE       "gline.log"
 
 /* GLINE_TIME - local expire time for GLINES
diff -uNrd ircd-hybrid-6.0/include/ircd.h ircd-hybrid-6rc7+unitedFreeBg-p1/include/ircd.h
--- ircd-hybrid-6.0/include/ircd.h	Sat Dec 30 19:11:55 2000
+++ ircd-hybrid-6rc7+unitedFreeBg-p1/include/ircd.h	Thu Jan  4 10:23:09 2001
@@ -120,6 +120,9 @@
 extern char*          version;
 extern const char     serveropts[];
 extern int            LRV;
+#ifdef SERVICES
+extern int            ServicesOn;
+#endif
 extern int            cold_start;
 extern int            dline_in_progress;
 extern int            dorehash;
diff -uNrd ircd-hybrid-6.0/include/ircd_defs.h ircd-hybrid-6rc7+unitedFreeBg-p1/include/ircd_defs.h
--- ircd-hybrid-6.0/include/ircd_defs.h	Thu Jul 22 02:33:26 1999
+++ ircd-hybrid-6rc7+unitedFreeBg-p1/include/ircd_defs.h	Thu Jan  4 10:23:09 2001
@@ -35,7 +35,7 @@
 #define HOSTLEN         63      /* Length of hostname.  Updated to         */
                                 /* comply with RFC1123                     */
 
-#define NICKLEN         9       /* Necessary to put 9 here instead of 10
+#define NICKLEN         15       /* Necessary to put 9 here instead of 10
                                  * if s_msg.c/m_nick has been corrected.
                                  * This preserves compatibility with old
                                  * servers --msa
@@ -48,11 +48,11 @@
 #define KEYLEN          23
 #define BUFSIZE         512     /* WARNING: *DONT* CHANGE THIS!!!! */
 #define MAXRECIPIENTS   20
-#define MAXBANS         25      /* bans + exceptions together */
-#define MAXBANLENGTH    1024
+#define MAXBANS         50      /* bans + exceptions together */
+#define MAXBANLENGTH    2048
+#define LOADRECV	5	/* 5 k/s */
 
 #define OPERWALL_LEN    400     /* can be truncated on other servers */
-
 #define USERHOST_REPLYLEN       (NICKLEN+HOSTLEN+USERLEN+5)
 #define MAX_DATE_STRING 32      /* maximum string length for a date string */
 
diff -uNrd ircd-hybrid-6.0/include/m_commands.h ircd-hybrid-6rc7+unitedFreeBg-p1/include/m_commands.h
--- ircd-hybrid-6.0/include/m_commands.h	Fri Jul 30 22:44:44 1999
+++ ircd-hybrid-6rc7+unitedFreeBg-p1/include/m_commands.h	Thu Jan  4 10:23:09 2001
@@ -31,6 +31,7 @@
 
 extern int m_admin(struct Client *,struct Client *,int,char **);
 extern int m_kline(struct Client *,struct Client *,int,char **);
+extern int m_ungline(struct Client *,struct Client *,int,char **);
 extern int m_unkline(struct Client *,struct Client *,int,char **);
 extern int m_dline(struct Client *,struct Client *,int,char **);
 
@@ -97,5 +98,9 @@
 extern int m_dns(struct Client *,struct Client *,int,char **);
 extern int m_htm(struct Client *,struct Client *,int,char **);
 extern int m_set(struct Client *,struct Client *,int,char **);
+
+#ifdef SERVICES
+extern int m_serv_id(struct Client *,struct Client *,int,char **);
+#endif /* SERVICES */
 
 #endif /* INCLUDED_m_commands_h */
diff -uNrd ircd-hybrid-6.0/include/m_gline.h ircd-hybrid-6rc7+unitedFreeBg-p1/include/m_gline.h
--- ircd-hybrid-6.0/include/m_gline.h	Thu Aug 24 20:20:41 2000
+++ ircd-hybrid-6rc7+unitedFreeBg-p1/include/m_gline.h	Thu Jan  4 10:23:09 2001
@@ -44,6 +44,7 @@
 extern struct ConfItem* find_is_glined(const char *, const char *);
 extern void   flush_glines(void);             
 extern void   report_glines(struct Client *); 
+extern int    remove_gline_match(char *host,char *user);
 
 typedef struct gline_pending
 {
diff -uNrd ircd-hybrid-6.0/include/m_info.h ircd-hybrid-6rc7+unitedFreeBg-p1/include/m_info.h
--- ircd-hybrid-6.0/include/m_info.h	Fri Nov 24 13:51:13 2000
+++ ircd-hybrid-6rc7+unitedFreeBg-p1/include/m_info.h	Sat Nov 17 12:23:43 2001
@@ -45,6 +45,12 @@
   { "ALLOW_DOT_IN_IDENT", "OFF", 0, "Allow dot in ident replies" },
 #endif /* ALLOW_DOT_IN_IDENT */
 
+#ifdef ALWAYS_TEMP_KLINES
+  { "ALWAYS_TEMP_KLINES", "ON", 0, "Convert permanent klines to temporary" },
+#else
+  { "ALWAYS_TEMP_KLINES", "OFF", 0, "Convert permanent klines to temporary" },
+#endif
+
 #ifdef ANTI_DRONE_FLOOD
   { "ANTI_DRONE_FLOOD", "ON", 0, "Anti Flood for Drones" },
 #else
@@ -143,6 +149,12 @@
   { "CUSTOM_ERR", "OFF", 0, "Customized error messages" },
 #endif /* CUSTOM_ERR */
 
+#ifdef DCCFILECHECK
+  { "DCCFILECHECK", "ON", 0, "Enable DCC SEND protection against viruses/tojans" },
+#else
+  { "DCCFILECHECK", "OFF", 0, "Enable DCC SEND protection against viruses/tojans" },
+#endif
+
 #ifdef DEBUGMODE
   { "DEBUGMODE", "ON", 0, "Debugging Mode" },
 #else
@@ -155,6 +167,10 @@
   { "DEFAULT_SERVER_SPLIT_RECOVERY_TIME", "NONE", 0, "Time to Delay Split Status After Resynch" },
 #endif /* DEFAULT_SERVER_SPLIT_RECOVERY_TIME */
 
+#ifdef ALWAYS_TEMP_KLINES
+  { "DEFAULT_TEMP_KLINE_TIME", DEFAULT_TEMP_KLINE_TIME, 0, "Default time in conversion from permanent to temporary kline" },
+#endif
+
 #ifdef DNS_DEBUG
   { "DNS_DEBUG", "ON", 0, "Dns Debugging" },
 #else
@@ -398,6 +414,10 @@
   { "NETWORK_DESC", "NONE", 0, "Network description" },
 #endif /* NETWORK_DESC */
 
+#ifdef SERVICES
+  { "NICK_ENOUGH_OLD_TIME", "", NICK_ENOUGH_OLD_TIME, "How long after registering a nick is considered to be OLD" },
+#endif
+
   { "NICKNAMEHISTORYLENGTH", "", NICKNAMEHISTORYLENGTH, "Size of WHOWAS Array" },
 
 #ifdef NON_REDUNDANT_KLINES
@@ -412,6 +432,14 @@
   { "NO_CHANOPS_WHEN_SPLIT", "OFF", 0, "Do not Allow Channel Ops During a NetSplit" },
 #endif /* NO_CHANOPS_WHEN_SPLIT */
 
+#ifdef DCCFILECHECK
+  #ifdef NO_DEFAULT_DCCACCEPT
+    { "NO_DEFAULT_DCCACCEPT", "ON", 0, "Usermode +D by default (look DCCFILECHECK)" },
+  #else
+    { "NO_DEFAULT_DCCACCEPT", "OFF", 0, "Usermode +D by default (look DCCFILECHECK)" },
+  #endif
+#endif
+
 #ifdef NO_DEFAULT_INVISIBLE
   { "NO_DEFAULT_INVISIBLE", "ON", 0, "Do not Give Clients +i Mode Upon Connection" },
 #else
@@ -472,6 +500,11 @@
   { "OPATH", "NONE", 0, "Path to Operator MOTD File" },
 #endif /* OPATH */
 
+#ifdef OPERSPOOF
+  { "OPERSPOOF", "ON", 0, "Enabled V line spoof features" },
+#else
+  { "OPERSPOOF", "OFF", 0, "Enabled V line spoof features" },
+#endif
 #ifdef OPER_IDLE
   { "OPER_IDLE", "ON", 0, "Allow Operators to remain idle" },
 #else
@@ -496,6 +529,13 @@
   { "PPATH", "NONE", 0, "Path to Pid File" },
 #endif /* PPATH */
 
+#ifdef POWEROPERS
+  { "POWEROPERS", "ON", 0, "Enabled mode/kick/join ircop patch" },
+#else
+  { "POWEROPERS", "OFF", 0, "Enabled mode/kick/join ircop patch" },
+#endif /* PPATH */
+
+
 #ifdef PRESERVE_CHANNEL_ON_SPLIT
   { "PRESERVE_CHANNEL_ON_SPLIT", "ON", 0, "Preserve Channel Modes During a NetSplit" },
 #else
@@ -543,6 +583,14 @@
 #else
   { "SERVERHIDE", "OFF", 0, "Hide server info from users" },
 #endif /* SERVERHIDE */
+
+#ifdef SERVICES
+  { "SERVICES", "ON", 0, "HybNet Services support" },
+  { "SERVICESHOST", SERVICESHOST, 0, "Services hostname" },
+#else
+  { "SERVICES", "OFF", 0, "HybNet Services support" },
+  { "SERVICESHOST", "OFF", 0, "Services hostname" },
+#endif
 
 #ifdef SHORT_MOTD
   { "SHORT_MOTD", "ON", 0, "Notice Clients They should Read MOTD" },
